#!/usr/bin/perl

use strict;
use warnings;

BEGIN {
    use FindBin qw($Bin); # warn $Bin;
    use lib (
        "$Bin/../../../lib",
        '/home/raj/perl5/lib/perl5',
    );
}

use constant DELTA => 6; # months since last login to inactivate account

use LIMS::Local::ScriptHelpers;
my $tools = LIMS::Local::ScriptHelpers->new();

# get tools from LIMS::Local::ScriptHelpers:
my $sql_lib = $tools->sql_lib();
my $dbix    = $tools->dbix();

# get sql statments:
my $sql = $sql_lib->retr( 'expire_user_accounts' );
# execute query:
$dbix->dbh->do($sql, DELTA);
